package com.mortals.xhx.module.operate.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.operate.model.OperateLogEntity;
import com.mortals.xhx.module.operate.service.OperateLogService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 平台用户操作日志业务
*
* @author zxfei
* @date 2022-08-17
*/
@RestController
@RequestMapping("operate/log")
public class OperateLogController extends BaseCRUDJsonBodyMappingController<OperateLogService,OperateLogEntity,Long> {

    @Autowired
    private ParamService paramService;

    public OperateLogController(){
        super.setModuleDesc( "平台用户操作日志业务");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "operType", paramService.getParamBySecondOrganize("OperateLog","operType"));
        super.init(model, context);
    }


}